package es.geeknekodroid.divertiletras;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class Acerca extends Activity 
{
	TextView pacifico, run, monkey, error, magic, ding, ia, pdp, rae, maria;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_acerca);
		
		pacifico = (TextView)findViewById(R.id.acerca_pacifico);
		pacifico.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.fontsquirrel.com/fonts/list/foundry/vernon-adams");
				}
			});
		
		run = (TextView)findViewById(R.id.acerca_run);
		run.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://incompetech.com/music/royalty-free/index.html?isrc=USUAN1400024");
				}
			});
		monkey = (TextView)findViewById(R.id.acerca_monkey);
		monkey.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://incompetech.com/music/royalty-free/index.html?isrc=USUAN1400011");
				}
			});
		
		error = (TextView)findViewById(R.id.acerca_error);
		error.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.freesound.org/people/Autistic%20Lucario/sounds/142608/");
				}
			});
		
		magic = (TextView)findViewById(R.id.acerca_magic);
		magic.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.freesfx.co.uk/users/partnersinrhyme");
				}
			});
		ding = (TextView)findViewById(R.id.acerca_ding);
		ding.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.freesound.org/people/JohnsonBrandEditing/sounds/173932/");
				}
			});
		ia = (TextView)findViewById(R.id.acerca_ia);
		ia.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.imageafter.com/index.php");
				}
			});
		pdp = (TextView)findViewById(R.id.acerca_pdp);
		pdp.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.publicdomainpictures.net");
				}
			});
		rae = (TextView)findViewById(R.id.acerca_rae);
		rae.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.rae.es/");
				}
			});
		maria = (TextView)findViewById(R.id.acerca_maria);
		maria.setOnClickListener(new OnClickListener()
			{
				@Override
				public void onClick(View v) 
				{
					openURL("http://www.buscadoor.com/diccionario-maria-moliner/");
				}
			});
	}

	public void openURL(String url)
	{
		Uri uriUrl = Uri.parse(url);
		Intent launchBrowser = new Intent(Intent.ACTION_VIEW, uriUrl);
        startActivity(launchBrowser);
	}
}
