package es.geeknekodroid.divertiletras;

import android.app.Activity;
import android.graphics.Typeface;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;

public class MercanciaEnd extends Activity {
	public static PuntuacionMercancia mejorP;
	int sonidoFin; 
	MediaPlayer mp;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_mercancia_end);
		
		ImageView tTiempo = (ImageView)findViewById(R.id.tren_tiempo);
		Animation animacion = AnimationUtils.loadAnimation(this, R.anim.desplazamiento_derecha);
		tTiempo.startAnimation(animacion);
		
		Typeface font = Typeface.createFromAsset(getAssets(), "fonts/pacifico.ttf");
		
		mp = MediaPlayer.create(this, R.raw.magicbell1);
	
		
		Bundle b = getIntent().getExtras();
		int puntuacion = b.getInt("Puntuacion");
		
		mejorP = new PuntuacionMercancia(this);
		
		MyTextView mPuntuacion = (MyTextView)findViewById(R.id.mejor_puntuacion);
		
		
		String text = "Has conseguido " + puntuacion + " puntos! \n Mejor puntuacin: " +  mejorP.leerPuntuacion() + " puntos.";
		mPuntuacion.setText(text);
		mp.seekTo(0);
		mp.start();
		
		Button salir = (Button)findViewById(R.id.button_mercancia_salir);
		salir.setTypeface(font);
		salir.setOnClickListener(new OnClickListener() 
			  {
			     @Override
			     public void onClick(View v)
			     {
			    	 mp.release();
			    	 finish();
			     }
			  });
	}
}
